function testToolboxForErrors
% Big bug tester. You should run this script before merging something into
% the master branch and resolve all bugs!

clear classes
timeStart = tic;

% all demos in subfunctions, to remove variable leftovers without the need
% for 'clear all' so you can still use break points

close all; clc
% test_hilomotPlus

close all; clc
test_lolimotDemo1
close all; clc
test_lolimotDemo2
close all; clc
test_lolimotDemo3
close all; clc
test_lolimotDemo4
close all; clc
test_lolimotDemo5
close all; clc
test_lolimotDemo6

close all; clc
test_hilomotDemo1
close all; clc
test_hilomotDemo2
close all; clc
test_hilomotDemo3

close all; clc
test_LMNDemo1
close all; clc
test_LMNDemo2
close all; clc
test_LMNDemo3
close all; clc
test_LMNDemo4


close all; clc
test_demo_modelVisualization


close all; clc
disp('Everything seems to be fine.')
disp('Proceed with merging.')
toc(timeStart)



end

%% hilomot+ demos
function test_hilomotPlus
disp('demoHilomotSubsetClass')
demoHilomotPlusClass
end

%% LMN Tool demos
function test_LMNDemo1
disp('LMNDemo1')
LMNDemo1
end

function test_LMNDemo2
disp('LMNDemo2')
LMNDemo2
end

function test_LMNDemo3
disp('LMNDemo3')
LMNDemo3
end

function test_LMNDemo4
disp('LMNDemo4')
LMNDemo4
end

%% GUI demos
function test_demo_modelVisualization
disp('demo_modelVisualization')
demo_modelVisualization
end


%% HILOMOT demos
function test_hilomotDemo1
disp('hilomotDemo1')
hilomotDemo1
end

function test_hilomotDemo2
disp('hilomotDemo2')
hilomotDemo2
end

function test_hilomotDemo3
disp('hilomotDemo3')
hilomotDemo3
end


%% LOLIMOT demos
function test_lolimotDemo1
disp('lolimotDemo1')
lolimotDemo1
end

function test_lolimotDemo2
disp('lolimotDemo2')
lolimotDemo2
end

function test_lolimotDemo3
disp('lolimotDemo3')
lolimotDemo3
end

function test_lolimotDemo4
disp('lolimotDemo4')
lolimotDemo4
end

function test_lolimotDemo5
disp('lolimotDemo5')
lolimotDemo5
end

function test_lolimotDemo6
disp('lolimotDemo6')
lolimotDemo6
end
    